package com.martico.search.comparator;

import com.liferay.portal.kernel.log.Log;
import com.liferay.portal.kernel.log.LogFactoryUtil;
import com.liferay.portal.kernel.util.OrderByComparator;

public class OrderByComparatorFactory {
	public static final String ASCENDING_ORDER_TYPE = "asc";
	private static Log log = LogFactoryUtil.getLog(OrderByComparatorFactory.class);

	public static OrderByComparator getOrderByComparator(String orderByCol,
			String orderByType) {
		boolean orderByAsc = false;
		try {

			if (orderByType.equals(ASCENDING_ORDER_TYPE)) {
				orderByAsc = true;
			}
			OrderByComparator orderByComparator = null;
			orderByComparator = new PropertyOrderByComparator(orderByCol,orderByAsc);
			
//			if (declaredField.getDeclaringClass().equals(String.class)) {
//				orderByComparator = new StringOrderByComparator(orderByCol,
//						orderByAsc);
//			}
//			else if (declaredField.getDeclaringClass().equals(Date.class)) {
//				orderByComparator = new DateOrderByComparator(orderByCol,
//						orderByAsc);
//			}
//			else {
//				log.error("Unsupported column type for orderByCol: " + orderByCol);
//			}
			return orderByComparator;
		} catch (Exception e) {
			throw new RuntimeException(e);
		}
		
	}
}
