<%@page
	import="com.martico.portlet.activity.search.ActivitySearchDisplayTerms"%>
<%@page
	import="com.martico.portlet.activity.search.ActivitySearchContainer"%>
<%@page import="com.liferay.portlet.asset.model.AssetVocabulary"%>
<%@page import="java.util.HashMap"%>
<%@ page contentType="text/html" isELIgnored="false"%>
<%@ page import="java.util.Arrays"%>
<%@ page import="com.liferay.portlet.asset.model.AssetCategory"%>
<%@ page import="java.util.List"%>
<%@ page import="com.liferay.portal.util.SessionClicks"%>

<%@ taglib uri="http://alloy.liferay.com/tld/aui" prefix="aui"%>
<%@ taglib uri="http://liferay.com/tld/ui" prefix="liferay-ui"%>
<%@ taglib uri="http://java.sun.com/portlet_2_0" prefix="portlet"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<%@ taglib uri="http://liferay.com/tld/theme" prefix="liferay-theme"%>

<portlet:defineObjects />
<liferay-theme:defineObjects />

<style type="text/css">
.activity_search_form.toggle-link {
	clear: both;
}
</style>

<%
	List<AssetCategory> sectionCategories = (List<AssetCategory>) request
			.getAttribute("sectionCategories");
	List<AssetCategory> typeCategories = (List<AssetCategory>) request
			.getAttribute("typeCategories");
	themeDisplay.setIncludeServiceJs(true);
	ActivitySearchContainer searchContainer = (ActivitySearchContainer)request.getAttribute("liferay-ui:search:searchContainer");

	ActivitySearchDisplayTerms displayTerms = (ActivitySearchDisplayTerms) searchContainer
			.getSearchTerms();
	String key = "activity_search_form";
	displayTerms.setAdvancedSearch(true);
%>
<liferay-ui:search-toggle displayTerms="<%=displayTerms%>"
	buttonLabel="search" id="activity_search_form">
	<div id="searchForm">
		<aui:layout>
			<aui:column columnWidth="30">
				<aui:field-wrapper label="activity.startDay">
					<liferay-ui:input-date yearRangeStart="2012" yearRangeEnd="2050"
						dayParam="startDay" monthParam="startMonth"
						yearParam="startYear"
						dayValue="<%=displayTerms.getStartDay() %>"
						monthValue="<%=displayTerms.getStartMonth() %>"
						yearValue="<%=displayTerms.getStartYear() %>" />
				</aui:field-wrapper>
				<aui:field-wrapper>
					<aui:input label="activity.name"
						name="<%=ActivitySearchDisplayTerms.NAME%>" size="20" type="text"
						value="<%=displayTerms.getName()%>" />
				</aui:field-wrapper>
			</aui:column>
			<aui:column>
				<aui:field-wrapper label="activity.endDay">
					<liferay-ui:input-date yearRangeStart="2012" yearRangeEnd="2050"
						dayParam="endDay" monthParam="endMonth"
						yearParam="endYear"
						dayValue="<%=displayTerms.getEndDay() %>"
						monthValue="<%=displayTerms.getEndMonth() %>"
						yearValue="<%=displayTerms.getEndYear() %>" />
				</aui:field-wrapper>
			</aui:column>
		</aui:layout>
		<div class="separator"></div>
		<aui:layout>
			<aui:column columnWidth="30">
				<aui:field-wrapper cssClass="category">
					<aui:select label="activity.section" name="sectionCategory"
						showEmptyOption="<%=true%>">
						<%
							for (AssetCategory category : sectionCategories) {
						%>
						<aui:option value="<%=category.getCategoryId()%>" selected="<%=category.getName().equals(displayTerms.getSection()) %>"><%=category.getName()%></aui:option>
						<%
							}
						%>
					</aui:select>
				</aui:field-wrapper>
			</aui:column>
			<aui:column columnWidth="30">
				<aui:field-wrapper cssClass="category">
					<aui:select label="activity.type" name="typeCategory"
						showEmptyOption="<%=true%>">
						<%
							for (AssetCategory category : typeCategories) {
						%>
						<aui:option value="<%=category.getCategoryId()%>" selected="<%=category.getName().equals(displayTerms.getType()) %>"><%=category.getName()%></aui:option>
						<%
							}
						%>
					</aui:select>
				</aui:field-wrapper>
			</aui:column>
		</aui:layout>
		<br />
	</div>
</liferay-ui:search-toggle>



