package com.martico.portlet.util;

import java.util.Calendar;
import java.util.Date;

public class DateUtil {
	public static Date buildDate(int day, int month, int year) {
		return buildDate(day, month, year, 0, 0, 0);
	}

	public static Date buildDate(int day, int month, int year, int hour, int minute, int seconds) {
		Calendar calendar = Calendar.getInstance();
		calendar.clear();
		calendar.set(Calendar.MINUTE, seconds);
		calendar.set(Calendar.MINUTE, minute);
		calendar.set(Calendar.HOUR_OF_DAY, hour);
		calendar.set(Calendar.DAY_OF_MONTH, day);
		calendar.set(Calendar.MONTH, month);
		calendar.set(Calendar.YEAR, year);
		return calendar.getTime();
	}
}
